---
sidebar_label: ProductLauncher
---

# ProductLauncher interface

Describes a launcher - a class that is able to create and launch a browser instance.

**Signature:**

```typescript
export interface ProductLauncher
```

## Properties

| Property                                                        | Modifiers | Type                              | Description |
| --------------------------------------------------------------- | --------- | --------------------------------- | ----------- |
| [executablePath](./puppeteer.productlauncher.executablepath.md) |           | (path?: any) =&gt; string         |             |
| [product](./puppeteer.productlauncher.product.md)               |           | [Product](./puppeteer.product.md) |             |

## Methods

| Method                                                            | Description |
| ----------------------------------------------------------------- | ----------- |
| [defaultArgs(object)](./puppeteer.productlauncher.defaultargs.md) |             |
| [launch(object)](./puppeteer.productlauncher.launch.md)           |             |
